* {
  box-sizing: border-box;
}

:root {
  --primary-color: rgb(165, 81, 243);
  --primary-color-light: rgb(223, 189, 255);
  --primary-color-super-light: rgb(237, 217, 255);
  --primary-color-shadow: rgb(119, 58, 177);
}

html,
body {
  margin: 0;
  padding: 0;
  background-color: var(--primary-color-super-light);
}

html {
  font-family: "Open Sans", Arial, sans-serif;
}

header .logo-container {
  float: left;
  width: 200px;
  height: 50px;
  text-align: center;
  background-color: var(--primary-color);
  display: flex;
  justify-content: center;
  align-items: center;
  color: white;
}

header .menu-principal {
  float: right;
  width: calc(100% - 200px);
  background-color: var(--primary-color);
}

header .menu-principal ul {
  list-style: none;
  padding: 0;
  display: flex;
  justify-content: space-between;
  margin: 0;
  height: 50px;
  border-radius: 4px;
}
header .menu-principal ul li {
  width: 100%;
  text-align: center;
}
header .menu-principal ul li a {
  text-decoration: none;
  color: black;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background, color 100ms ease-in;
  border-radius: 4px;
  color: white;
  font-weight: 700;
}

header .menu-principal ul li a:hover {
  background-color: var(--primary-color-shadow);
}

main {
  width: 70%;
  float: left;
  clear: both;
}

main .caixa-post {
  padding: 5px;
  background-color: var(--primary-color-super-light);
  transition: background, color 100ms ease-in;
  cursor: pointer;
}

main .caixa-post:hover {
  background-color: var(--primary-color-light);
}

main .caixa-post img {
  width: 30%;
  border-radius: 10px;
}
main .caixa-post .conteudo-post {
  float: right;
  padding: 0 15px;
  width: 70%;
}

aside {
  width: 30%;
  float: right;
  padding: 15px;
  position: relative;
}

aside .caixa-pesquisa {
  position: relative;
}

aside .caixa-pesquisa .titulo-pesquisa,
aside .caixa-categoria .titulo-categoria {
  font-size: 18px;
  display: flex;
  justify-content: flex-start;
  align-items: center;
}

aside .caixa-pesquisa .titulo-pesquisa svg,
aside .caixa-categoria .titulo-categoria svg {
  height: 25px;
  margin-right: 10px;
}

aside .caixa-pesquisa .caixa-input {
  margin-top: 15px;
  position: relative;
}

aside .caixa-pesquisa .caixa-input .texto_pesquisa {
  width: 100%;
  padding: 7px 10px;
  border-radius: 4px;
  border: 1px solid #999999;
  box-shadow: 0;
  transition: box-shadow, border 100ms ease-in;
}

aside .caixa-pesquisa .caixa-input .texto_pesquisa:focus {
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 2px rgb(13 110 253 / 25%);
}

aside .caixa-pesquisa .caixa-input .botao_ok {
  position: absolute;
  top: 0;
  right: 0;
  height: 100%;
  padding: 0 15px;
  background-color: var(--primary-color);
  color: white;
  font-weight: 700;
  text-transform: uppercase;
  border: none;
  border-radius: 4px;
  transition: border, box, background 100ms ease-in;
}

aside .caixa-pesquisa .caixa-input .botao_ok:focus {
  outline: none;
}

aside .caixa-pesquisa .caixa-input .botao_ok:active {
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 2px rgb(13 110 253 / 25%);
  background-color: var(--primary-color-shadow);
}

aside .caixa-categoria {
  margin-top: 25px;
}

aside .caixa-categoria ul li a {
  display: block;
  text-decoration: none;
  font-weight: 700;
  padding: 10px 0;
  transition: background, color 100ms ease-in;
  color: black;
}

aside .caixa-categoria ul li a:hover {
  background-color: var(--primary-color-light);
  color: white;
}
